###
# File specifying all the deployement options for the nodes administrated by the dgnum.
#
# Node metadata template is:
#
# NODE_NAME = {
#   adminGroups = []; # List of groups that have root access
#   admins = []; # List of individuals that have root access
#   deployment = {}; # Colmena deployment options
#   nixpkgs = "unstable" or "22.11"; # nixpkgs version
# }

/* Liste des différents sites :
   - dmi01 -> VM du NPSPI
   - par01 -> Salle serveur sous le pavillon Pasteur
   - par02 -> Local DGNum Jourdan
   - par03 -> VM de Luj
*/

{
  web01 = {
    site = "dmi01";

    deployment.tags = [ "web" ];

    stateVersion = "23.05";
  };

  compute01 = {
    site = "par01";

    stateVersion = "23.05";
  };

  geo01 = {
    site = "par02";
    deployment.tags = [ "geo" ];

    stateVersion = "24.05";
    nixpkgs = "unstable";
  };

  geo02 = {
    site = "par02";
    deployment.tags = [ "geo" ];

    stateVersion = "24.05";
    nixpkgs = "unstable";
  };

  storage01 = {
    site = "par01";
    stateVersion = "23.11";
  };

  vault01 = {
    site = "par02";

    stateVersion = "23.11";
    nixpkgs = "unstable";
  };

  web02 = {
    site = "dmi01";

    stateVersion = "24.05";
    nixpkgs = "unstable";
  };

  rescue01 = {
    site = "par03";

    stateVersion = "23.11";
  };
}
